RIO_ADD_DEVICE(9)

NAME
rio_add_device - Adds a RIO device to the device model

SYNOPSIS

void __devinit rio_add_device (struct rio_dev * rdev);

ARGUMENTS

rdev
    RIO device

DESCRIPTION

Adds the RIO device to the global device list and adds the RIO device to the RIO device list. Creates the generic sysfs nodes for an RIO device.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.